Bug 445518 - KDE Plasma doesn't respect icon theme for some applications and application icons
Summary: KDE Plasma doesn't respect icon theme for some applications and application i...
Status: CONFIRMED
Alias: None
Product: frameworks-plasma
Classification: Frameworks and Libraries
Component: components (show other bugs)
Version: 5.88.0
Platform: Other Linux
: NOR normal with 40 votes (vote)
Target Milestone: ---
Assignee: Marco Martin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-15 10:05 UTC by Nick Stefanov
Modified: 2022-11-06 14:34 UTC (History)
9 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
uGet screenshot (12.68 KB, image/webp)
2021-11-23 04:33 UTC, 2wxsy58236r3
Details
List of files and directories which are present only in 5.87.0 (vs 5.88.0 + PR 171 / 5893bcff) (4.48 KB, text/plain)
2021-12-01 02:10 UTC, 2wxsy58236r3
Details
breeze-icons build log (128.50 KB, application/zstd)
2021-12-02 00:21 UTC, 2wxsy58236r3
Details
Wrong/weird folder icons with Breeze-Dark on Ubuntu Jammy (72.15 KB, image/png)
2021-12-06 22:50 UTC, Jan Rathmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Stefanov 2021-11-15 10:05:49 UTC
SUMMARY
***
After KDE Frameworks upgrade to 5.88.0, KDE Plasma doesn't respect icon theme for some applications and application icons anymore. For example I have manually set icons for some files formats like avi, mpeg, rar, doc to name a few, and this update change them all. This is easily fixable, but many icons are changed to the applications interface which cannot be changed. For example Plasma doesn't respect my icon theme for Dolphin and some icons are from Breeze theme and some from my theme, e.g the root icon in the side bar is red and all other icons are from my icon theme. Another example is qBittorrent or even the context menu where again I have some icons from my icon theme and some icons from Breeze icon theme. It's a bit messy.


STEPS TO REPRODUCE
1. Upgrade to KDE Frameworks 5.88.0


OBSERVED RESULT
Plasma doesn't respect the icon theme and change icons at random.

EXPECTED RESULT
Plasma respect icon theme.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Arch Linux
(available in About System)
KDE Plasma Version:  5.23.3
KDE Frameworks Version:  5.88.0
Qt Version: 5.15.2
Comment 1 Jan Klos 2021-11-17 13:25:30 UTC
I can confirm this for Krusader - I use Breeze Dark, yet Krusader now uses the light theme (making the toolbar icons very hard to see), Downgrading breeze-icons to 5.87 fixes the issue.
Comment 2 Nick Stefanov 2021-11-17 14:57:31 UTC
it affects multiple applications, even Kate. For example the close button is from Breeze theme, other are from my icon theme. It even changed many application shortcuts and panel icons. It's a serious problem.
Comment 3 Nick Stefanov 2021-11-22 09:07:28 UTC
Devs, do you need more info or something? What's this silence, it's a very serious problem!
Comment 4 Till Schäfer 2021-11-22 12:15:23 UTC
an confirm the issue with light theme icons in Krusader while dark theme is selected. 

Operating System: Gentoo Linux
KDE Plasma Version: 5.23.3
KDE Frameworks Version: 5.88.0
Qt Version: 5.15.2
Kernel Version: 5.14.20-gentoo (64-bit)
Graphics Platform: Wayland
Processors: 8 × Intel® Core™ i7-4810MQ CPU @ 2.80GHz
Memory: 15.5 GiB of RAM
Graphics Processor: Mesa DRI Intel® HD Graphics 4600
Comment 5 2wxsy58236r3 2021-11-23 04:33:14 UTC
Created attachment 143856 [details]
uGet screenshot

Even if I apply [this breeze-icons patch](https://invent.kde.org/frameworks/breeze-icons/-/merge_requests/171), the bug is still present.

Icons look fine after downgrading breeze-icons to 5.87.0.

In the attached uGet screenshot:
- Upper half is KDE Frameworks 5.88.0 + breeze-icons 5.87.0
- Lower half is KDE Frameworks 5.88.0 + patched breeze-icons 5.88.0
Comment 6 Nick Stefanov 2021-11-23 18:52:31 UTC
And even if you change the icon for an application, the panel icon doesn't change and it is breeze.
Comment 7 Nick Stefanov 2021-11-29 12:35:12 UTC
It even doesn't respect some app icons in the system tray. Please tell us what additional info do you need.
Comment 8 RaitaroH 2021-11-29 19:08:33 UTC
I found the problem. I opened another bug under the right component: https://bugs.kde.org/show_bug.cgi?id=446253

Can you confirm?
Comment 9 Nick Stefanov 2021-11-29 21:12:50 UTC
Yes, they are identical but I don't use Breeze icons at all. Nevertheless the system is using them all around...
Comment 10 Nick Stefanov 2021-11-29 22:12:27 UTC
Just removing the breeze-icon package solves this weird problem. Thank you for the heads up!
Comment 11 2wxsy58236r3 2021-12-01 02:10:05 UTC
Created attachment 144106 [details]
List of files and directories which are present only in 5.87.0 (vs 5.88.0 + PR 171 / 5893bcff)
Comment 12 2wxsy58236r3 2021-12-01 02:14:52 UTC
I applied the latest revision of PR 171 on 5.88.0, and then I tried to compare both versions.

From attachment 144106 [details], it seems that the size 24 icons are missing in the patched 5.88.0?

@dobey
Do you have any idea?
Comment 13 Rodney Dawes 2021-12-01 16:57:15 UTC
(In reply to 2wxsy58236r3 from comment #12)
> I applied the latest revision of PR 171 on 5.88.0, and then I tried to
> compare both versions.
> 
> From attachment 144106 [details], it seems that the size 24 icons are
> missing in the patched 5.88.0?
> 
> @dobey
> Do you have any idea?

The 24px icons are all installed for me in my testing here. Did you build it without python3 or lxml available? Or on Windows?
Comment 14 2wxsy58236r3 2021-12-02 00:21:47 UTC
Created attachment 144136 [details]
breeze-icons build log

(In reply to Rodney Dawes from comment #13)
> The 24px icons are all installed for me in my testing here. Did you build it
> without python3 or lxml available? Or on Windows?

I built the package locally (and also on Open Build Service [1]), with Arch Linux. python-lxml is installed.

I have attached the build log. There are many lines starting with `-- Installing: /usr/share/icons/breeze-dark/actions/24/`, so it looks like the 24px dark icons are generated but for unknown reason the result package does not have them.

I am using the PKGBUILD from Arch Linux [2] and the only modification is to include and apply the patch.

[1] https://build.opensuse.org
[2] https://raw.githubusercontent.com/archlinux/svntogit-packages/packages/breeze-icons/trunk/PKGBUILD
Comment 15 Rodney Dawes 2021-12-02 18:24:10 UTC
(In reply to 2wxsy58236r3 from comment #14)
> Created attachment 144136 [details]
> breeze-icons build log
> 
> (In reply to Rodney Dawes from comment #13)
> > The 24px icons are all installed for me in my testing here. Did you build it
> > without python3 or lxml available? Or on Windows?
> 
> I built the package locally (and also on Open Build Service [1]), with Arch
> Linux. python-lxml is installed.
> 
> I have attached the build log. There are many lines starting with `--
> Installing: /usr/share/icons/breeze-dark/actions/24/`, so it looks like the
> 24px dark icons are generated but for unknown reason the result package does
> not have them.

How exactly is DESTDIR being set in this scenario?
Comment 16 Rodney Dawes 2021-12-02 21:28:58 UTC
OK. I've recreated the problem, and updated the 171 PR to address the issue as it seems `DESTDIR=foo cmake --install build` results in the `$ENV{DESTDIR}` in the install script not being interpreted properly. Escaping as `\$ENV{}` seems to solve the issue here, so 171 should be good in this case now.
Comment 17 Jan Rathmann 2021-12-06 22:50:35 UTC
Created attachment 144286 [details]
Wrong/weird folder icons with Breeze-Dark on Ubuntu Jammy
Comment 18 Jan Rathmann 2021-12-06 22:54:32 UTC
Can confirm for Kubuntu 21.10 with Backports-PPA and breeze-icon-theme 4:5.88.0-0ubuntu1~ubuntu21.10~ppa1.

On Kubuntu Jammy with breeze-icon-theme 4:5.88.0-2ubuntu1 I don't see this bug (it goes away on 21.10 too if I download breeze-icon-theme_5.88.0-2ubuntu1_all.deb from Jammy and install it manually).

But I get "wrong/weird" folder icons with Breeze-Dark with  4:5.88.0-2ubuntu1 installed, so that's unfortunately not a good workaround.
Comment 19 Rodney Dawes 2021-12-12 22:18:39 UTC
This should be fixed now on breeze-icons master branch I think.
Comment 20 Nick Stefanov 2022-02-09 21:22:02 UTC Comment hidden (spam)
Comment 21 Nick Stefanov 2022-02-26 09:17:29 UTC Comment hidden (spam)
Comment 22 Nick Stefanov 2022-03-09 11:22:39 UTC Comment hidden (spam)
Comment 23 Nick Stefanov 2022-04-02 10:22:05 UTC Comment hidden (spam)
Comment 24 Nick Stefanov 2022-04-02 10:23:00 UTC Comment hidden (spam)
Comment 25 Nick Stefanov 2022-05-04 09:32:15 UTC Comment hidden (spam)
Comment 26 Nick Stefanov 2022-06-18 09:24:19 UTC Comment hidden (spam)
Comment 27 Nick Stefanov 2022-06-29 08:22:59 UTC Comment hidden (spam)
Comment 28 Nick Stefanov 2022-10-14 07:42:54 UTC Comment hidden (spam)
Comment 29 Nick Stefanov 2022-11-06 14:34:31 UTC
Plasma 5.26.2 - The problem is still here.